Bug 12513 - PROG/CCSR deprecation: Remove OpacShowLibrariesPulldownMobile system preference
Summary: PROG/CCSR deprecation: Remove OpacShowLibrariesPulldownMobile system preference
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on: 12233
Blocks: 11346 19713
  Show dependency treegraph
 
Reported: 2014-07-01 16:09 UTC by Owen Leonard
Modified: 2017-11-29 14:10 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12513 - PROG/CCSR deprecation: Remove OpacShowLibrariesPulldownMobile system preference (4.25 KB, patch)
2014-07-01 16:22 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 12513 - PROG/CCSR deprecation: Remove OpacShowLibrariesPulldownMobile system preference (4.33 KB, patch)
2014-07-03 12:11 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[PASSED QA] Bug 12513 - PROG/CCSR deprecation: Remove OpacShowLibrariesPulldownMobile system preference (4.38 KB, patch)
2014-07-03 14:43 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2014-07-01 16:09:24 UTC
The Bootstrap theme doesn't have a binary distinction between "desktop" and "mobile," so the OpacShowLibrariesPulldownMobile system preference doesn't make sense to have anymore. With CCSR deprecated the OpacShowLibrariesPulldownMobile system preference can be removed.
Comment 1 Owen Leonard 2014-07-01 16:22:56 UTC Comment hidden (obsolete)
Comment 2 Bernardo Gonzalez Kriegel 2014-07-03 12:11:43 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2014-07-03 14:43:29 UTC
Created attachment 29486 [details] [review]
[PASSED QA] Bug 12513 - PROG/CCSR deprecation: Remove OpacShowLibrariesPulldownMobile system preference

With CCSR having been deprecated there is no longer a use for the
OpacShowLibrariesPulldownMobile system preference. This patch removes
it.

To test, apply the patch and run updatedatabase. Check that the
preference can no longer be found in system preferences.

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Preference removed, no koha-qa errors.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 4 Chris Cormack 2014-08-07 03:03:24 UTC
Pushed to MM_OPAC/theme_dep
Comment 5 Tomás Cohen Arazi 2014-10-30 00:32:31 UTC
Patch pushed to master.

Thanks Owen!